/*

Estas son las resoluciones de pantalla más comunes en todo el mundo para que adaptes tu web a medidas responsive:

360×640 (móvil pequeño): 22,64%.
1366×768 (ordenador portátil medio): 11,98%.
1920×1080 (escritorio grande): 7,35%.
375×667 (móvil medio): 5%.
1440×900 (escritorio medio): 3,17%.
720×1280 (móvil grande): 2,74%.

*/

.main-section {
    position: relative;
    margin-top: 100px; /* Ajusta este valor según la altura del menú */
}

.main-section img {
    width: 100%;
    height: auto;
}

.main-section .content {
    position: absolute;
    top: 200px;
    left: 20%;
    transform: translate(-20%, -20%);
    color: white;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.5); /* Fondo semi-transparente para mejor legibilidad */
    padding: 20px;
    border-radius: 10px;
}

@media (max-width: 768px) {
    .main-section .content {
        font-size: 1rem; /* Ajusta el tamaño de la fuente para pantallas más pequeñas */
        padding: 10px; /* Ajusta el padding para pantallas más pequeñas */
        width: 90%;
    }
}

@media (max-width: 480px) {
    .main-section .content {
        font-size: 0.8rem; /* Ajusta el tamaño de la fuente para pantallas más pequeñas */
        padding: 8px; /* Ajusta el padding para pantallas más pequeñas */
        width: 95%;
    }
}

.main-section .contentFicha {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 80vh;
}

@media (max-width: 768px) {
    .main-section .contentFicha {
        font-size: 1rem; /* Ajusta el tamaño de la fuente para pantallas más pequeñas */
        padding: 10px; /* Ajusta el padding para pantallas más pequeñas */
        width: 90%;
    }
}

@media (max-width: 480px) {
    .main-section .contentFicha {
        font-size: 0.8rem; /* Ajusta el tamaño de la fuente para pantallas más pequeñas */
        padding: 8px; /* Ajusta el padding para pantallas más pequeñas */
        width: 95%;
    }
}

.section-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
}

.section-overlay h1 {
    font-size: 3rem;
    font-weight: bold;
}

.section-overlay p {
    font-size: 1.2rem;
    max-width: 600px;
    margin-top: 20px;
}

.aclarar-img{
    filter: brightness(110%);
    }

html{
    height: 100%;
    }

body{
    display: flex;
    flex-direction: column;
    min-height: 100%;
    }



/* Estilos para las imágenes de fondo Resto Paginas*/
.bg-wrapper {
    position: relative;
    width: 100%;
    height: 100vh; /* Ajusta según tus necesidades */
    overflow: hidden;
}

.bg-wrapper::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    z-index: -1;
}

@media (max-width: 768px) {
    .bg-wrapper {
        height: 100vh; /* Ajusta según tus necesidades */
    }

    .bg-wrapper::before {
        background-size: 100% 100%;
    }
}

/* Estilos para las diferentes imágenes de fondo */
.backgroundFichas::before {
    background: url('../imagenes/fondoBlanco.png') top center no-repeat;
}

.backgroundAgricultura::before {
    background: url('../imagenes/inicialAgricultura1.png') top center no-repeat;
}




/* Styles for ficha layout */
.contentFicha {
    position: relative;
    width: 100%;
    max-width: 1000px;
    margin: 20px auto;
    border: 0px;
    padding: 20px;
    display: flex;
    justify-content: space-between;
}

.contentFicha img {
    max-width: 180px;
    margin-right: 20px;
}

@media (max-width: 768px) {
    .contentFicha {
        flex-direction: column;
        align-items: center;
    }

    .contentFicha img {
        margin-right: 0;
        margin-bottom: 10px;
    }

}


.card {
    position: relative;
    background-color: #fff;
    border: 2px solid #e5e5e5; /* Líneas de las fichas */
    padding: 20px;
    width: 90%; /* Reduce el ancho del cuadro */
    max-width: 1500px; /* Reduce el ancho máximo del cuadro */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.product-image {
    position: absolute;
    top: -80px;
    left: -40px;
    width: 200px;
    height: 200px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.card-content {
    margin-left: 150px; /* Espacio para la imagen */
    width: 100%;
    line-height: 0.5;
}

.card-content h2 {
    margin-top: 0;
}

.card-content .features {
    display: flex;
    flex-wrap: wrap;
    gap: 10px; /* Espacio entre columnas */
    margin-left: -150px;
}

.card-ribbon {
    position: absolute;
    top: -24px; /* Ajusta la posición para solapar */
    right: 0;
    width: 50%; /* Ajusta el ancho al 50% del cuadro */
    height: 30px; /* Ajusta la altura total */
    background-color:  var(--color-solapa-ficha); /* Color de la solapa */
    z-index: 1;
}

.card-ribbon::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 45%; /* Solapamiento por arriba */
    background-color: var(--color-solapa-ficha);
}

.card-ribbon::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 55%; /* Solapamiento por abajo */
    background-color:  var(--color-solapa-ficha);
}

.card-text {
    font-family: 'Gotham';
    font-weight: 300;
    font-style: normal;
    font-size: 30px;
    color: var(--color-titulo-ficha);
}

.card-text strong {
    font-family: 'Gotham';
    font-weight: 500;
    font-style: normal;
    font-size: 30px;
    color: var(--color-titulo-ficha);
}

@media (max-width: 768px) {
    .card {
        padding: 10px;
    }

    .card-content {
        margin-left: 0;
        padding-top: 160px; /* Espacio para la imagen */
    }

    .product-image {
        position: relative;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        margin-bottom: 20px;
    }

    .card-ribbon {
        width: 50%; /* Mantén el 50% también en dispositivos móviles */
        height: 40px; /* Ajusta la altura para móviles */
        top: -16px; /* Ajusta la posición para solapar */
    }

    .card-ribbon::before {
        height: 60%; /* Solapamiento por arriba */
    }

    .card-ribbon::after {
        height: 40%; /* Solapamiento por abajo */
    }
}

.line-with-text {
    display: flex;
    justify-content: center; /* Centra el contenido horizontalmente */
    align-items: center; /* Centra el contenido verticalmente */
    position: relative;
    height: 20px;
    background-color: var(--color-solapa-ficha);
    margin-bottom: 120px; /* Espacio debajo de la línea */
    width: 100%; /* Asegura que la línea ocupe todo el ancho */
    margin-left: -150px;
    margin-right: -150px;
    z-index: 1;
}

.line-with-text .text {
    background-color: #fff; /* Fondo blanco para el texto */
    padding: 0 20px; /* Espacio interior a los lados del texto */
    white-space: nowrap; /* Evita que el texto se divida en varias líneas */
    z-index: 1; /* Asegura que el texto esté encima de la línea */
    position: relative; /* Ajuste el texto a la posición relativa */
    color: var(--color-solapa-ficha); /* Color del texto */
    height: 20px;
    font-family: 'Gotham';
    font-weight: 500;
    font-style: normal;
    font-size: 24px;
}

/* ACA EMPIEZAN LOS ESTILOS DE LAS FICHAS GENERALES QUE POSEEN TODOS LOS ICONOS DE LOS PRODUCTOS*/
.img-link {
    display: block;
    margin: 2px;
    overflow: hidden;
}

.img-link img {
width: 100%;
transition: transform 0.3s ease;
}

.img-link:hover img {
transform: scale(1.1); /* Efecto de escala al hacer hover */
}

/* ACA FINALIZAN LOS ESTILOS DE LAS FICHAS GENERALES QUE POSEEN TODOS LOS ICONOS DE LOS PRODUCTOS*/

/* ACA EMPIEZAN LOS ESTILOS DE LAS FICHAS*/
.title-link {
    display: block;
}

.title-link:hover{
text-decoration: none;
}

.parent-bidon-container {
display: flex;
justify-content: flex-end; /* Alinea los hijos al final del contenedor (derecha) */
}

.img-bidon-container {
z-index: 999;
margin-top: -175px; /* Ajusta este valor según tus necesidades */
}

.image-border {
border: 1px solid black; /* Borde de 5px de grosor, sólido y negro */
padding: 20px; /* Espacio interior de 10px alrededor de la imagen */
box-sizing: border-box; /* Incluye el borde y padding en el tamaño total del contenedor */
}

.card-content .featuresFichaInterna {
display: grid;
grid-template-columns: 30% 50% 20%;
/*grid-template-columns: repeat(2, 1fr);  Dos columnas de igual tamaño */
gap: 10px; /* Espacio entre columnas */
margin-left: -150px;
}

.card-content .featuresFichaInterna .feature-item {
box-sizing: border-box; /* Asegura que el padding y border no afecten el ancho total */
}

.card-content .featuresFichaInterna .feature-item.quadrant-large {
grid-column: span 1; /* Ocupa ambas columnas */
grid-row: span 2; /* Ocupa dos filas */
}

.card-content .featuresFichaInterna .feature-item.quadrant-small {
grid-column: span 1; /* Ocupa una columna */
grid-row: span 1; /* Ocupa una fila */
line-height: normal;
font-family: 'Gotham';
font-weight: 300;
font-style: normal;
font-size: 20px;
}
/* ACA FINALIZAN LOS ESTILOS DE LAS FICHAS*/

